Subject: Re: bug#19960: epg: allow passing --keyring values via new epg-context-keyrings

From: Daiki Ueno <[email-masked]>
Date: Tue, 21 Apr 2015 20:16:32 +0900

Werner Koch <[email-masked]> writes:

> Using a different keyring may result in some surprising behaviour and
> thus I consider it is better to use use a different GNUPGHOME for a
> different configuration.

Thanks, I was expecting so.  Considering that, I'd suggest to make the
patch less generic.  That is, assuming that the main use-case of an
external keyring is signature verification, add an optional argument
KEYRING to epg-verify-*, instead of extending epg-context.

Regards,
-- 
Daiki Ueno